% grafico di tre funzioni equivalenti
%
%  x*(sqrt(x^2+1)-x)    
%  x*sqrt(x^2+1) -x*x
%   x*(sqrt(x^2+1)-x)*(sqrt(x^2+1)+x)/(sqrt(x^2+1)+x)  = 
%   =   x/(sqrt(x^2+1)+x)

% facciamo il grafico in [10^0, 10^9]
x = logspace(0,9,500);
% calcolo la funzione
f1 = x.*(sqrt(x.^2+1)-x);
f2 = x.*sqrt(x.^2+1) -x.*x;
f3 = x./(sqrt(x.^2+1)+x);


% istruzioni grafiche plot  semilogx semilogy loglog
figure(1)
semilogx(x,f1,'r.',x,f2,'b.',x,f3,'g-')

figure(2)
plot(x,f1,'r.',x,f2,'b.',x,f3,'g-')
